package com.aiosman.ravenow.ui.index

import android.graphics.Color
import androidx.compose.runtime.Composable
import androidx.compose.ui.graphics.vector.ImageVector
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.res.stringResource
import androidx.compose.ui.res.vectorResource
import com.aiosman.ravenow.R

sealed class NavigationItem(
    val route: String,
    val icon: @Composable () -> Int,
    val selectedIcon: @Composable () -> Int = icon,
    val label: @Composable () -> String
) {

    data object Home : NavigationItem("Home",
        icon = { R.drawable.rider_pro_nav_home },
        selectedIcon = { R.mipmap.bars_x_buttons_home_s },
        label = { stringResource(R.string.main_home) }
    )

    data object Ai : NavigationItem("Ai",
        icon = { R.mipmap.bars_x_buttons_discover_bold},
        selectedIcon = { R.mipmap.bars_x_buttons_discover_fill },
        label = { stringResource(R.string.index_dynamic) }
    )
//    data object Ai : NavigationItem("Ai",
//        icon = { R.drawable.rider_pro_nav_ai },
//        selectedIcon = { R.mipmap.rider_pro_nav_ai_hl },
//        label = { stringResource(R.string.main_ai) }
//    )

    data object Add : NavigationItem("Add",
        icon = { R.drawable.ic_nav_add },
        selectedIcon = { R.drawable.ic_nav_add },
        label = { stringResource(R.string.main_home) }
    )

    data object Notification : NavigationItem("Notification",
        icon = { R.drawable.rider_pro_nav_notification },
        selectedIcon = { R.mipmap.bars_x_buttons_chat_s },
        label = { stringResource(R.string.main_message) }
    )

    data object Profile : NavigationItem("Profile",
        icon = { R.drawable.rider_pro_nav_profile },
        selectedIcon = { R.mipmap.bars_x_buttons_user_s },
        label = { stringResource(R.string.main_profile) }
    )

}